# Ogre::Resource::Listener Class Reference

`#include <OgreResource.h>`

Inheritance diagram for Ogre::Resource::Listener:

[legend]
List of all members.

## Public Member Functions

| Listener ()
virtual | ~Listener ()
virtual void | backgroundLoadingComplete (Resource *)
| Callback to indicate that background loading has completed.

## Constructor & Destructor Documentation

Ogre::Resource::Listener::Listener | ( |  | ) |

| Definition at line 78 of file OgreResource.h.

virtual Ogre::Resource::Listener::~Listener | ( |  | ) | `[virtual]`

| Definition at line 79 of file OgreResource.h.

## Member Function Documentation

virtual void Ogre::Resource::Listener::backgroundLoadingComplete | ( | Resource * |  | ) | `[virtual]`

Callback to indicate that background loading has completed.

Remarks:
  This callback is only relevant when a Resource has been marked as background loaded (

See also:
  Resource::setBackgroundLoaded) , and occurs when that loading has completed. The call itself does not itself occur in the thread which is doing the loading; when loading is complete a response indicator is placed with the ResourceGroupManager, which will then be sent back to the listener as part of the application's primary frame loop thread.

Reimplemented in Ogre::Entity.

Definition at line 91 of file OgreResource.h.

The documentation for this class was generated from the following file:

- OgreResource.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Aug 20 13:55:03 2007